MODULE QALORI

USE PARKIND1  ,ONLY : JPIM     ,JPRB

IMPLICIT NONE

SAVE

!****------------------------------------------------------------------
!****   QALORI : fonctions de transformation et coefficients divers
!****   ------
!****
!****   Auteur :       P. MOLL
!**** ------------------------------------------------------------------

!     QCAGUE   : fonction exp(alpha.(x-1/x)) pour les points du guess
!                 avec x etirement local
!     QCAOBS   : fonction exp(alpha.(x-1/x)) pour les points d'obs
!                 avec x etirement local
!     QCAOBSET : Adressage pour QCAOBS par set d'observations

!     RCALPH   : Alpha
!     RCAPRP   : Coefficient de ponderation pour le lissage vertical des
!                 ecart-types d'erreur du guess
!     NCAMNS   : Amplitude vers le bas du sus-dit lissage
!     NCAPLS   : Amplitude vers le haut du sus-dit lissage
!     LCORRF : New correlation function: ro12=exp(-r/2a), using switch

REAL(KIND=JPRB),ALLOCATABLE:: QCAGUE(:,:)
REAL(KIND=JPRB),ALLOCATABLE:: QCAOBS(:,:), QCAOBSET(:,:)

REAL(KIND=JPRB) :: RCALPH
REAL(KIND=JPRB) :: RCAPRP
INTEGER(KIND=JPIM) :: NCAMNS
INTEGER(KIND=JPIM) :: NCAPLS

LOGICAL :: LCORRF

!****-------------------------------------------------------------------
END MODULE QALORI
